main {
    display: flex;
}

section#event-list {

    width: 55%;
    padding-left: 4rem;
    padding-right: 1rem;
}

/* Search bar */

.search-bar-container {
    display: flex;
    justify-content: center;
    padding-top: 30px;
    padding-bottom: 15px;
}

.search-icon {
    position: absolute;
    top: 45px;
    right: 15px;
    width: 20px;
}

.search {
    border: 1px solid var(--border-grey);
    border-radius: 50px;
    height: 20px;
    width: 100%;
    padding: 15px 20px;
    outline: 0;
    background-color: #f5f5f5;
}

.search::placeholder {
    color: lightgray;
    font-size: 18px;;
}

/* Liste */

.list-container {
}

.cards-container {
    max-height: 90vh; 
    overflow-y: auto; /* Permet le défilement vertical si le contenu dépasse */
}

.filter-container {
    background-color: #F8F7F7;
    display: flex;
    align-items: center;
    justify-content: space-between; /* Répartit uniformément l'espace entre les enfants */
    padding: 20px; /* Ajoute un peu d'espace autour des éléments pour éviter le chevauchement */
}

.city-container,
.date-container {
    min-width: 20%; 
    flex: 1; /* Permet aux conteneurs de s'étendre tout en respectant la min-width */
    display: flex;
    justify-content: center;
    margin-right: 15px;
}

#city-select,
#date {
    width: 100%;
    padding: 5px 10px; 
    box-sizing: border-box; /* S'assure que le padding est inclus dans la hauteur totale */
    border-radius: 8px;
    border: 1px solid var(--border-grey);

}

.category-container {
    flex-grow: 2; /* Donne une priorité plus élevée à l'expansion de ce conteneur */
    display: flex;
    flex-wrap: wrap;
}

.category-container .btn {

    background-color: #ffffff;
    color:var(--main-red);
    border: 1px solid var(--main-red); 
    border-radius: 8px;
    padding: 5px 10px;
    margin-right: 10px; 
}

/* Map */

#event-map {
    width: 45%;
    overflow: hidden;
    position: sticky;
    top: 0;
    height: 100vh;
}



